Subject: Re: bash and the delete key
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Fri, 26 Jul 2002 10:56:31 +0900
Newsgroups: gmane.os.cygwin

Thanks, that was great - I was having a problem with some apps not
recognising the backspace key and that page fixed it with the stty option.

Regards

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com

"Tony Fenleish" <[email-masked]> wrote in message
news:[email-masked]...
> Consistent BackSpace and Delete Configuration
> Bash:
> http://www.ibb.net/~anne/keyboard/keyboard.html#Bash
>
> Background on this can be read at:
> http://www.ibb.net/~anne/keyboard.html
>
> >From: "Paul Derbyshire" <[email-masked]>
> >Reply-To: [email-masked]
> >To: [email-masked]
> >Subject: bash and the delete key
> >Date: Thu, 25 Jul 2002 18:01:07 -0400
> >MIME-Version: 1.0
> >Received: from sources.redhat.com ([209.249.29.67]) by
> >mc2-f35.law16.hotmail.com with Microsoft SMTPSVC(5.0.2195.4905); Thu, 25
> >Jul 2002 14:56:51 -0700
> >Received: (qmail 18991 invoked by alias); 25 Jul 2002 21:56:37 -0000
> >Received: (qmail 18984 invoked from network); 25 Jul 2002 21:56:36 -0000
> >Received: from unknown (HELO eurus.primus.ca) (216.254.136.21)  by
> >sources.redhat.com with SMTP; 25 Jul 2002 21:56:36 -0000
> >Received: from dialin-209-3.ottawa.primus.ca ([216.254.209.3]
> >helo=derbyshire-a1)by eurus.primus.ca with esmtp (Exim 3.33 #16)id
> >17Xqb5-0000ky-0Afor [email-masked]; Thu, 25 Jul 2002 17:56:35 -0400
> >Mailing-List: contact [email-masked]; run by ezmlm
> >Precedence: bulk
> >List-Unsubscribe:
<mailto:cygwin-unsubscribe-tleish=[email-masked]>
> >List-Subscribe: <mailto:[email-masked]>
> >List-Archive: <http://sources.redhat.com/ml/cygwin/>
> >List-Post: <mailto:[email-masked]>
> >List-Help: <mailto:[email-masked]>,
> ><http://sources.redhat.com/ml/#faqs>
> >Sender: [email-masked]
> >Mail-Followup-To: [email-masked]
> >Delivered-To: mailing list [email-masked]
> >Message-ID: <3D403CE3.17956.467EDE3A@localhost>
> >Priority: normal
> >Return-Path: cygwin-return-54973-tleish=[email-masked]
> >X-OriginalArrivalTime: 25 Jul 2002 21:56:52.0198 (UTC)
> >FILETIME=[2F03E060:01C23426]
> >
> >Cygwin's bash seems not to interpret the delete key correctly. The
> >backspace key nukes the character behind the cursor, as expected. The
> >del key doesn't nuke the character ahead of the curser however. It
> >inserts a tilde instead. I assume this is something related to either
> >a bash setting or a terminal setting, but I ran out of clues (read:
> >relevant information in obvious places in the bash man page) without
> >fixing it a while back.
> >
> >I might also note that the gmane news server has not been a success
> >for me. I tried to get at these lists as apparently gatewayed there,
> >and did the news server's registration thing, but after days of xnews
> >reporting zero new articles and my own posting-attempt (on that cron
> >problem, and which also was used to trigger the registration process)
> >not showing up I gave up on gmane. Obviously something went wrong --
> >either it's down, or it's allergic to my news client, or the
> >registration silently failed in some way and didn't bother to produce
> >an error message and information on how to fix the problem. The
> >registration confirm message did show up nearly immediately at my
> >Hotmail account when I sent the cron related post, and I followed its
> >instructions within the hour, so I definitely did nothing obviously
> >wrong or clueless...
> >
> >--
> >Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> >Bug reporting:         http://cygwin.com/bugs.html
> >Documentation:         http://cygwin.com/docs.html
> >FAQ:                   http://cygwin.com/faq/
>
>
>
>
> _________________________________________________________________
> Send and receive Hotmail on your mobile device: http://mobile.msn.com
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/